<?php


//===================================
// Plugin MULTIVIEWER pour SPIP v2.0
//
// fichier : modules/MVW_DEFINITION_postcard.php version 1.0.1
//
// Auteur : Ch.Boutin
//===================================


// pour le viewer Flash PostCard de Felix Turner.
// site : www.airtightinteractive.com
// lien : http://www.airtightinteractive.com/viewers/


function MVW_DEFINITION_postcard()
{

//======== XML ========
    //-- cellDimension
    //The size of the square 'cell' that contains each image (pixels). Make this at least as big as your biggest image to avoid the images overlapping.
    // Valeur par dfaut : 800
    $postcard["cellDimension"] = array (
                                  "VALEUR" => "800" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "The size of the square 'cell' that contains each image (pixels). Make this at least as big as your biggest image to avoid the images overlapping."
                                );
    //-- columns
    //Number of columns of images. Rows are calculated automatically from the number of images in the gallery.
    // Valeur par dfaut : 4
    $postcard["columns"] = array (
                                  "VALEUR" => "4" 
                                  , "TYPE" => "XML"
                              , "remarque" => "Number of columns of images. Rows are calculated automatically from the number of images in the gallery."
                                );
    //-- zoomOutPerc
    //The amout of scale when zoomed out (percentage).
    // Valeur par dfaut : 15
    $postcard["zoomOutPerc"] = array (
                                  "VALEUR" => "15" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "The amout of scale when zoomed out (percentage)."
                                );
    //-- zoomInPerc
    //The amout of scale when zoomed in (percentage).
    // Valeur par dfaut : 100
    $postcard["zoomInPerc"] = array (
                                  "VALEUR" => "100" 
                                  , "TYPE" => "XML"
                              , "remarque" => "The amout of scale when zoomed in (percentage)."
                                );
    //-- frameWidth
    //Width of image frame (pixels).
    // Valeur par dfaut : 20
    $postcard["frameWidth"] = array (
                                  "VALEUR" => "20" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Width of image frame (pixels)."
                                );
    //-- frameColor
    //Color of image frame (hexidecimal color value).
    // Valeur par dfaut : 0xFFFFFF
    $postcard["frameColor"] = array (
                                  "VALEUR" => "0xFFFFFF" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Color of image frame (hexidecimal color value)."
                                );
    //-- captionColor
    //Color of captions (hexidecimal color value).
    // Valeur par dfaut : 0xFFFFFF
    $postcard["captionColor"] = array (
                                  "VALEUR" => "0xFFFFFF" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Color of captions (hexidecimal color value)."
                                );
    //-- enableRightClickOpen
    //Whether to display the 'Open Image in New Window...' right-click menu option.
    // Valeur par dfaut : true
    $postcard["enableRightClickOpen"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Whether to display the 'Open Image in New Window...' right-click menu option."
                                );

//======== JS ========
    //-- xmlURL
    //Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf.
    // Valeur par dfaut : 'gallery.xml'
    $postcard["xmlURL"] = array (
                                  "VALEUR" => "gallery.xml"
                                  , "TYPE" => "JS"
                              , "remarque" => "Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf."
                                );
    //-- langOpenImage
    //The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate PostcardViewer into a non-English language.
    // Valeur par dfaut : 'Open Image in New Window'
    $postcard["langOpenImage"] = array (
                                  "VALEUR" => "Open Image in New Window"
                                  , "TYPE" => "JS"
                              , "remarque" => "The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate PostcardViewer into a non-English language."
                                );
    //-- langAbout
    //The text displayed for the right-click 'About' menu option. Can be used to translate PostcardViewer into a non-English language.
    // Valeur par dfaut : 'About'
    $postcard["langAbout"] = array (
                                  "VALEUR" => "About"
                                  , "TYPE" => "JS"
                              , "remarque" => "The text displayed for the right-click 'About' menu option. Can be used to translate PostcardViewer into a non-English language."
                                );
/*
//======== Pro ========
    //-- maxRotation
    //Maximum rotation of images (degrees). Set to zero to disable rotation.
    // Valeur par dfaut : 12
    $postcard["maxRotation"] = array (
                                  "VALEUR" => "12"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Maximum rotation of images (degrees). Set to zero to disable rotation."
                                );
    //-- randomize
    //Whether to randomize the order of the images on load.
    // Valeur par dfaut : true
    $postcard["randomize"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Whether to randomize the order of the images on load."
                                );
    //-- showInstructions
    //Whether to show the instructions at bottom left. Instructions are defined in the 'sInstructions' symbol in the FLA library.
    // Valeur par dfaut : false
    $postcard["showInstructions"] = array (
                                  "VALEUR" => "false"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Whether to show the instructions at bottom left. Instructions are defined in the 'sInstructions' symbol in the FLA library."
                                );
    //-- captionPadding
    //Padding between captions and image edge (pixels).
    // Valeur par dfaut : 20
    $postcard["captionPadding"] = array (
                                  "VALEUR" => "20"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Padding between captions and image edge (pixels)."
                                );
    //-- xmlURL
    //Relative or absolute path to XML file (overides HTML option). Relative paths are relative to the HTML page that contains the swf.
    // Valeur par dfaut : null
    $postcard["xmlURL"] = array (
                                  "VALEUR" => "null"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Relative or absolute path to XML file (overides HTML option). Relative paths are relative to the HTML page that contains the swf."
                                );
    //-- zoomLength
    //Time of zoom animation (frames)
    // Valeur par dfaut : 15
    $postcard["zoomLength"] = array (
                                  "VALEUR" => "15"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Time of zoom animation (frames)"
                                );
    //-- useSmoothing
    //Whether to smooth resized images. Setting this to true improves image quality but uses more CPU resources. If you have a large gallery that is running slowly, setting this to false may help.
    // Valeur par dfaut : true
    $postcard["useSmoothing"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Whether to smooth resized images. Setting this to true improves image quality but uses more CPU resources. If you have a large gallery that is running slowly, setting this to false may help."
                                );
    //-- zoomOutToFit
    //Whether to have the image grid scale to fit the stage when zoomed out.
    // Valeur par dfaut : false
    $postcard["zoomOutToFit"] = array (
                                  "VALEUR" => "false"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Whether to have the image grid scale to fit the stage when zoomed out."
                                );
    //-- pcvStageWidth
    //Fixed width for PostcardViewer stage. Useful when loading the PostcardViewer sSWF in another flash movie.
    // Valeur par dfaut : null
    $postcard["pcvStageWidth"] = array (
                                  "VALEUR" => "null"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Fixed width for PostcardViewer stage. Useful when loading the PostcardViewer sSWF in another flash movie."
                                );
    //-- pcvStageHeight
    //Fixed height for PostcardViewer stage. Useful when loading the PostcardViewer sSWF in another flash movie.
    // Valeur par dfaut : null
    $postcard["pcvStageHeight"] = array (
                                  "VALEUR" => "null"
                                  , "TYPE" => "Pro"
                              , "remarque" => "Fixed height for PostcardViewer stage. Useful when loading the PostcardViewer sSWF in another flash movie."
                                );
*/

    return $postcard;
}


?>
