﻿<?php

//===================================
// Plugin MULTIVIEWER pour SPIP v2.0
// 
// fichier : balise/addon-simpleviewerpro.php version 1.0
// 
// Auteur : Ch.Boutin
//===================================

// pour le viewer Flash simpleviewerpro de Felix Turner.
// site : www.airtightinteractive.com
// lien : http://www.airtightinteractive.com/viewers/


function MVW_XML_simpleviewerpro($idgalerie, $tabDocument, $tabViewerParam)
{
    // Config par rapport au viewer postcardviewer
    $XMLentete        = '<?xml version="1.0" encoding="UTF-8" ?>'."\n";
    $XMLbalisegalerie = "simpleviewergallery";
    $XMLbaliseimage   = "image";
    $XMLfilename      = "filename";
    $XMLcaption       = "caption";

    $XMLoptions = "";
    foreach($tabViewerParam["VARIABLES"] as $strNomVariable=>$tabValeur)
    {
        if ($tabValeur["TYPE"]=="XML")
        {
            $XMLoptions .= '    '.$strNomVariable.'="'.$tabValeur["VALEUR"].'" '."\n";
        }
    }

    $XMLcode  = $XMLentete;
    $XMLcode .= '<'.$XMLbalisegalerie." \n"
                   .$XMLoptions.">\n";

    foreach ( $tabDocument as $document)
    {
        //ouverture nouvelle balise image
        $XMLcode .= "<".$XMLbaliseimage.">\n";
        // balise XML URL du fichier image
        $XMLcode .= "<".$XMLfilename.">"
                     ._NOM_PERMANENTS_ACCESSIBLES.$document['fichier']
                     ."</".$XMLfilename.">\n";
        //echo "<br/>XML : j'ajoute ".$document['fichier']."<br/>";

        // commentaire
        $txtcaption = $param["TEXTEAVANTTITREPHOTO"];
        $txtcaption .=($document['titre']<>"")?$document['titre']:MVW_getFileName($document['fichier']);
        $txtcaption .=($document['descriptif'] <> "")?" (".$document['descriptif'].")":"";

        // Code initial
        // $xml .= "<caption><![CDATA[<u><a href='".$descriptif."' target='_blank'>".$titre."</a></u>]]></caption>\n";
        // balise XML Commentaire
        $XMLcode .= "<".$XMLcaption.">".$txtcaption."</".$XMLcaption.">\n";

        //fermeture balise image
        $XMLcode .= "</".$XMLbaliseimage.">\n";
    }
    // fermeture balsie galerie
    $XMLcode .= '</'.$XMLbalisegalerie.'>';

    return $XMLcode;
} //MVW_XML_postcard




// On pr诡re le code HTML...
function MVW_HTML_simpleviewerpro($id_galerie,$tabViewerParam,$strViewer)
{
    $SWFnomvarxmlURL  = "xmlDataPath";

    $txtreturn = '<script type="text/javascript">'."\n"
                .'    var fo'.$id_galerie.' = new SWFObject('
                        // nom fichier SWF
                        .'"'._DIR_PLUGIN_MULTIVIEWER.'/modules/'.$strViewer.'"'
                        // Nom JS de l'objet SWF (id et name)
                        .', "viewer'.$id_galerie.'"'
                        // Taille de l'objet SWF
                        .', "'.$tabViewerParam["fenlargeur"].'"'
                        .', "'.$tabViewerParam["fenhauteur"].'"'
                        //  la version de player Flash requise pour votre swf
                        .', "'.CST_MULTIVIEWER_SWF_VERSION_FLASH_MINI.'"'
                        //  La couleur de fond de votre swf
                        .', "'.CST_MULTIVIEWER_SWF_BGCOLOR.'");'."\n";

    $txtreturn .= '    fo'.$id_galerie.'.addVariable("'.$SWFnomvarxmlURL.'", "'._DIR_PLUGIN_MULTIVIEWER
                                     .'xml/gallery_'.$id_galerie.'.xml");'."\n";

    $tabViewerParam["VARIABLES"][$SWFnomvarxmlURL]["VALEUR"] =  _DIR_PLUGIN_MULTIVIEWER."xml/gallery_".$id_galerie.".xml";

    foreach($tabViewerParam["VARIABLES"] as $strNomVariable=>$tabValeur)
    {
        if ($tabValeur["TYPE"]=="JS")
        {
            $txtreturn .= '    fo'.$id_galerie.'.addVariable("'.$strNomVariable.'", "'.$tabValeur["VALEUR"].'");'."\n";
        }
    }

    if ($id_document>0)
    {
        $txtreturn .= '   fo'.$id_galerie.'.addVariable("firstImageIndex", '.$id_document.');';
    }


    // lance le fichier SWF
    $txtreturn .= '    fo'.$id_galerie.'.write("flashcontent'.$id_galerie.'");'."\n"
                 .'</script>'."\n";

    return $txtreturn;
} //MVW_HTML_postcard



/*
function MVW_PARAMETRES_simpleviewerpro()
{
    // en date du 1/05/2009

        $Simpleviewer["XML"]["maxImageWidth"] = array("defaultvalue"=>"480" , "Remarque"=>"Width of the widest image in the gallery. Used to determine the best layout for your gallery (pixels).");
        $Simpleviewer["XML"]["maxImageHeight"] = array("defaultvalue"=>"480" , "Remarque"=>"Height of tallest image in the gallery. Used to determine the best layout for your gallery (pixels).");
        $Simpleviewer["XML"]["textColor"] = array("defaultvalue"=>"0xFFFFFF" , "Remarque"=>"Color of title and caption text (hexidecimal color value).");
        $Simpleviewer["XML"]["frameColor"] = array("defaultvalue"=>"0xFFFFFF" , "Remarque"=>"Color of image frame, navigation buttons and thumbnail frame (hexidecimal color value).");
        $Simpleviewer["XML"]["frameWidth "] = array("defaultvalue"=>"20" , "Remarque"=>"Width of image frame (pixels).");
        $Simpleviewer["XML"]["stagePadding "] = array("defaultvalue"=>"40" , "Remarque"=>"Width of padding around gallery edge (pixels). To have the image flush to the edge of the swf, set this to 0.");
        $Simpleviewer["XML"]["navPadding"] = array("defaultvalue"=>"40" , "Remarque"=>"Distance between image and thumbnails (pixels).");
        $Simpleviewer["XML"]["thumbnailColumns"] = array("defaultvalue"=>"3" , "Remarque"=>"Number of thumbnail columns. To disable thumbnails completely set this value to 0");
        $Simpleviewer["XML"]["thumbnailRows"] = array("defaultvalue"=>"3" , "Remarque"=>"Number of thumbnail rows. To disable thumbnails completely set this value to 0.");
        $Simpleviewer["XML"]["navPosition"] = array("defaultvalue"=>"left" , "Remarque"=>"Position of thumbnails relative to image. Can be 'top', 'bottom','left' or 'right'.");
        $Simpleviewer["XML"]["vAlign"] = array("defaultvalue"=>"center" , "Remarque"=>"Vertical placment of the image and thumbnails within the SWF. Can be 'center', 'top' or 'bottom'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'top' or 'bottom' can help get the image flush to the edge of the swf.");
        $Simpleviewer["XML"]["hAlign"] = array("defaultvalue"=>"center" , "Remarque"=>"Horizontal placement of the image and thumbnails within the SWF. Can be 'center', 'left' or 'right'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'left' or 'right' can help get the image flush to the edge of the swf.");
        $Simpleviewer["XML"]["title "] = array("defaultvalue"=>"SimpleViewer Gallery" , "Remarque"=>"Text to display as gallery Title");
        $Simpleviewer["XML"]["enableRightClickOpen"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to display a 'Open In new Window...' dialog when right-clicking on an image. Can be 'true' or 'false'");
        $Simpleviewer["XML"]["backgroundImagePath"] = array("defaultvalue"=>"" , "Remarque"=>"Relative or absolute path to a JPG or SWF to load as the gallery background. Relative paths are relative to the HTML document that contains SimpleViewer. For example: 'images/bkgnd.jpg'.");
        $Simpleviewer["XML"]["imagePath "] = array("defaultvalue"=>"" , "Remarque"=>"Relative or absolute path to images folder. This value is only required if you don't want to put your images in the 'images' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash. For example: imagePath='my_image_folder/').");
        $Simpleviewer["XML"]["thumbPath "] = array("defaultvalue"=>"" , "Remarque"=>"Relative or absolute path to thumbnail images folder. This value is only required if you don't want to put your thumbnail images in the 'thumbs' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash. For example: thumbPath='my_thumb_folder/').");

        //$Simpleviewer["JS"]["xmlDataPath"] = array("defaultvalue"=>"'gallery.xml'" , "Remarque"=>"Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf.");

        $Simpleviewer["JS"]["firstImageIndex"] = array("defaultvalue"=>"0" , "Remarque"=>"Index of image to display when gallery loads. Images are numbered beginning at zero. You can use this option to display a specific number based on the URL. Check here for details.");

        $Simpleviewer["JS"]["langOpenImage"] = array("defaultvalue"=>"'Open Image in New Window'" , "Remarque"=>"The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate SimpleViewer into a non-English language.");
        $Simpleviewer["JS"]["langAbout"] = array("defaultvalue"=>"'About'" , "Remarque"=>"The text displayed for the right-click 'About' menu option. Can be used to translate SimpleViewer into a non-English language.");
        $Simpleviewer["JS"]["preloaderColor"] = array("defaultvalue"=>"0xFFFFFF" , "Remarque"=>"Prloader color (hexidecimal color value).");



        // pour la version PRO

        // Attention reprendre le bon code �a place de PRO JS ou ...


        $Simpleviewerpro["General"]["fixedLayout"] = array("defaultvalue"=>"false" , "Remarque"=>"Whether to used fixed layout of stage elements, or dynamic resizing based on browser window size");
        $Simpleviewerpro["General"]["preloadImages"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to automatically preload all images.");
        $Simpleviewerpro["General"]["useSmoothing"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to smooth resized images. Setting this to 'true' improves image quality but uses more CPU resources. If you have a large gallery that is running slowly, setting this to false may help.");
        $Simpleviewerpro["General"]["enableMouseWheel"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to accept mouse wheel input to navigate images.");
        $Simpleviewerpro["General"]["enableLooping"] = array("defaultvalue"=>"false" , "Remarque"=>"Whether navigating beyond last image goes back to first image.");
        $Simpleviewerpro["General"]["soundPath"] = array("defaultvalue"=>"null" , "Remarque"=>"Relative or absolute path to an MP3 file to load as gallery music (e.g. 'sounds/music.mp3'). Relative paths are relative to the HTML document that contains SimpleViewer. Loaded MP3 will start playing as it is downloading. MP3 will loop forever.");
        $Simpleviewerpro["MainImage"]["enableImageDownScaling"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether images are resized smaller to fit stage (not used if fixedLayout == true)");
        $Simpleviewerpro["MainImage"]["enableImageButtons"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to use image navigation buttons (arrow buttons that overlay the main image)");
        $Simpleviewerpro["MainImage"]["hideImageButtonsOnRollOut"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to hide the image navigation buttons when the mouse is not rolled over them");
        $Simpleviewerpro["MainImage"]["imageFadeLength"] = array("defaultvalue"=>"5" , "Remarque"=>"Image fade tween length (frames)");
        $Simpleviewerpro["MainImage"]["imageVAlign"] = array("defaultvalue"=>"'center'" , "Remarque"=>"Vertical placment of the image within the square image area. Can be 'center', 'top' or 'bottom'.");
        $Simpleviewerpro["MainImage"]["imageHAlign"] = array("defaultvalue"=>"'center'" , "Remarque"=>"Horizontal placement of the image within the square image area. Can be 'center', 'left' or 'right'.");

        $Simpleviewerpro["Thumbnail"]["thumbnailWidth"] = array("defaultvalue"=>"65" , "Remarque"=>"Width of thumbnail images (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailHeight"] = array("defaultvalue"=>"65" , "Remarque"=>"Height of thumbnail images (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailPadding"] = array("defaultvalue"=>"14" , "Remarque"=>"Space between thumbs (pixels)");
        $Simpleviewerpro["Thumbnail"]["showThumbnailVisited"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to show visited dogear icon");
        $Simpleviewerpro["Thumbnail"]["showThumbnailLoadBar"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to show load bar on image load");
        $Simpleviewerpro["Thumbnail"]["thumbnailFrameWidth"] = array("defaultvalue"=>"2" , "Remarque"=>"Width of thumbnail frame (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailRollOverFrameWidth"] = array("defaultvalue"=>"5" , "Remarque"=>"Width of thumbnail frame when mouse is over thumb (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailSelectedFrameOffset"] = array("defaultvalue"=>"3" , "Remarque"=>"Distance that thumb frame is offset when thumb is selected (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailLoadBarHeight"] = array("defaultvalue"=>"10" , "Remarque"=>"heigth of thumbnail load bar (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailClickShift"] = array("defaultvalue"=>"2" , "Remarque"=>"Distance thumbnail moves on click (pixels)");
        $Simpleviewerpro["Thumbnail"]["thumbnailLoadingAlpha"] = array("defaultvalue"=>"60" , "Remarque"=>"Alpha of thumbnail while image loads (percent)");
        $Simpleviewerpro["Thumbnail"]["thumbnailMotionLength"] = array("defaultvalue"=>"20" , "Remarque"=>"Thumb paging slide animation tween time (frames)");

        $Simpleviewerpro["Captions"]["showCaptions"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to show Image Captions");
        $Simpleviewerpro["Captions"]["showTitle"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to show gallery title");
        $Simpleviewerpro["Captions"]["showCaptionOnRollover"] = array("defaultvalue"=>"false" , "Remarque"=>"Whether to display the image caption on thumbnail rollover.");
        $Simpleviewerpro["Captions"]["captionUnderThumbs"] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to show the captions under the thumbnails (true) or the main image (false).");
        $Simpleviewerpro["Captions"]["captionFontSize"] = array("defaultvalue"=>"13" , "Remarque"=>"Caption font size");
        $Simpleviewerpro["Captions"]["titleFontSize"] = array("defaultvalue"=>"16" , "Remarque"=>"Title font size");
        $Simpleviewerpro["Captions"]["captionPadding"] = array("defaultvalue"=>"14" , "Remarque"=>"Space between image and caption. Used if 'captionUnderThumbs' is false. (pixels)");

        $Simpleviewerpro["Autoplay"][""] = array("defaultvalue"=>"" , "Remarque"=>"");
        $Simpleviewerpro["Autoplay"]["Option Name "] = array("defaultvalue"=>"Default Value " , "Remarque"=>"Description");
        $Simpleviewerpro["Autoplay"]["enablePlayButton"] = array("defaultvalue"=>"false" , "Remarque"=>"Whether to show play button for autoplay mode.");
        $Simpleviewerpro["Autoplay"]["playAtStart"] = array("defaultvalue"=>"false" , "Remarque"=>"Whether to automatically start playing when gallery is loaded.");
        $Simpleviewerpro["Autoplay"]["displayTime"] = array("defaultvalue"=>"5" , "Remarque"=>"Number of seconds each image will display in autoplay mode.");

        $Simpleviewerpro["Backbutton"]["showBackButton"] = array("defaultvalue"=>"false" , "Remarque"=>"Whether to show optional back button.");
        $Simpleviewerpro["Backbutton"]["backButtonText"] = array("defaultvalue"=>"<b>&lt; <u>Back</b></u>'" , "Remarque"=>"Display HTML text for optional back button.");

        $Simpleviewerpro["Colors"]["imageFrameColor"] = array("defaultvalue"=>"null" , "Remarque"=>"Color of main image frame and image nav buttons (overrides XML 'frameColor' value)");
        $Simpleviewerpro["Colors"]["thumbnailFrameColor"] = array("defaultvalue"=>"null" , "Remarque"=>"Color of thumbnail frames (overrides XML 'frameColor' value)");
        $Simpleviewerpro["Colors"]["pagingArrowsColor"] = array("defaultvalue"=>"null" , "Remarque"=>"Color of thumbnail paging arrows (overrides XML 'frameColor' value)");
        $Simpleviewerpro["Colors"]["titleTextColor"] = array("defaultvalue"=>"null" , "Remarque"=>"Color of caption text (overrides XML 'textColor' value)");
        $Simpleviewerpro["Colors"]["captionTextColor"] = array("defaultvalue"=>"null" , "Remarque"=>"Color of title text (overrides XML 'textColor' value)");

        $Simpleviewerpro["LayoutPosition"]["imageAreaX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of Image Area");
        $Simpleviewerpro["LayoutPosition"]["imageAreaY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of Image Area");
        $Simpleviewerpro["LayoutPosition"]["imageAreaWidth"] = array("defaultvalue"=>"null" , "Remarque"=>"Width of Image Area");
        $Simpleviewerpro["LayoutPosition"]["imageAreaHeight"] = array("defaultvalue"=>"null" , "Remarque"=>"Height of Image Area");
        $Simpleviewerpro["LayoutPosition"]["thumbAreaX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of Thumbnails");
        $Simpleviewerpro["LayoutPosition"]["thumbAreaY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of Thumbnails");
        $Simpleviewerpro["LayoutPosition"]["backThumbArrowX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of Back Thumb Arrow (relative to top left of Thumb Area)");
        $Simpleviewerpro["LayoutPosition"]["backThumbArrowY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of Back Thumb Arrow (relative to top left of Thumb Area)");
        $Simpleviewerpro["LayoutPosition"]["nextThumbArrowX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of Next Thumb Arrow (relative to top left of Thumb Area)");
        $Simpleviewerpro["LayoutPosition"]["nextThumbArrowY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of Next Thumb Arrow (relative to top left of Thumb Area)");
        $Simpleviewerpro["LayoutPosition"]["titleX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of Title text");
        $Simpleviewerpro["LayoutPosition"]["titleY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of Title text");
        $Simpleviewerpro["LayoutPosition"]["titleWidth"] = array("defaultvalue"=>"null" , "Remarque"=>"Width of Title text");
        $Simpleviewerpro["LayoutPosition"]["titleHeight"] = array("defaultvalue"=>"null" , "Remarque"=>"Height of Title text");
        $Simpleviewerpro["LayoutPosition"]["captionX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of caption text.");
        $Simpleviewerpro["LayoutPosition"]["captionY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of caption text");
        $Simpleviewerpro["LayoutPosition"]["captionWidth"] = array("defaultvalue"=>"null" , "Remarque"=>"Width of caption text");
        $Simpleviewerpro["LayoutPosition"]["captionHeight"] = array("defaultvalue"=>"null" , "Remarque"=>"Height of caption text");
        $Simpleviewerpro["LayoutPosition"]["downLoadLinkX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of download link");
        $Simpleviewerpro["LayoutPosition"]["downLoadLinkY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of download link");
        $Simpleviewerpro["LayoutPosition"]["backButtonX"] = array("defaultvalue"=>"null" , "Remarque"=>"X position of optional back button.");
        $Simpleviewerpro["LayoutPosition"]["backButtonY"] = array("defaultvalue"=>"null" , "Remarque"=>"Y position of optional back button.");

        $Simpleviewerpro["XMLoverrides"]["maxImageWidth"] = array("defaultvalue"=>"480" , "Remarque"=>"Width of the widest image in the gallery. Used to determine the best layout for your gallery (pixels).");
        $Simpleviewerpro["XMLoverrides"]["maxImageHeight"] = array("defaultvalue"=>"480" , "Remarque"=>"Height of tallest image in the gallery. Used to determine the best layout for your gallery (pixels).");
        $Simpleviewerpro["XMLoverrides"]["frameWidth "] = array("defaultvalue"=>"20" , "Remarque"=>"Width of image frame (pixels).");
        $Simpleviewerpro["XMLoverrides"]["stagePadding "] = array("defaultvalue"=>"40" , "Remarque"=>"Width of padding around gallery edge (pixels). To have the image flush to the edge of the swf, set this to 0.");
        $Simpleviewerpro["XMLoverrides"]["navPadding"] = array("defaultvalue"=>"40" , "Remarque"=>"Distance between image and thumbnails (pixels).");
        $Simpleviewerpro["XMLoverrides"]["thumbnailColumns "] = array("defaultvalue"=>"3" , "Remarque"=>"Number of thumbnail rows. To disable thumbnails completely set this value to 0");
        $Simpleviewerpro["XMLoverrides"]["thumbnailRows "] = array("defaultvalue"=>"3" , "Remarque"=>"Number of thumbnail columns. To disable thumbnails completely set this value to 0.");
        $Simpleviewerpro["XMLoverrides"]["navPosition"] = array("defaultvalue"=>"left" , "Remarque"=>"Position of thumbnails relative to image. Can be 'top', 'bottom','left' or 'right'.");
        $Simpleviewerpro["XMLoverrides"]["vAlign"] = array("defaultvalue"=>"center" , "Remarque"=>"Vertical placment of the image and thumbnails within the SWF. Can be 'center', 'top' or 'bottom'. Remarque"=>"For large format galleries this is best set to 'center'. For small format galleries setting this to 'top' or 'bottom' can help get the image flush to the edge of the swf.");
        $Simpleviewerpro["XMLoverrides"]["hAlign"] = array("defaultvalue"=>"center" , "Remarque"=>"Horizontal placement of the image and thumbnails within the SWF. Can be 'center', 'left' or 'right'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'left' or 'right' can help get the image flush to the edge of the swf.");
        $Simpleviewerpro["XMLoverrides"]["title "] = array("defaultvalue"=>"SimpleViewer Gallery" , "Remarque"=>"Text to display as gallery Title");
        $Simpleviewerpro["XMLoverrides"]["enableRightClickOpen "] = array("defaultvalue"=>"true" , "Remarque"=>"Whether to display a 'Open In new Window...' dialog when right-clicking on an image. Can be 'true' or 'false'");
        $Simpleviewerpro["XMLoverrides"]["backgroundImagePath "] = array("defaultvalue"=>"" , "Remarque"=>"Relative or absolute path to a JPG or SWF to load as the gallery background. Relative paths are relative to the HTML document that contains SimpleViewer.");
        $Simpleviewerpro["XMLoverrides"]["imagePath "] = array("defaultvalue"=>"" , "Remarque"=>"Relative or absolute path to images folder. This value is only required if you don't want to put your images in the 'images' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash (for example: imagePath='my_image_folder/').");
        $Simpleviewerpro["XMLoverrides"]["thumbPath "] = array("defaultvalue"=>"" , "Remarque"=>"Relative or absolute path to thumbnail images folder. This value is only required if you don't want to put your thumbnail images in the 'thumbs' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash (for example: thumbPath='my_thumb_folder/').");



    return $Simpleviewer;

}
*/


?>
