<?php

//===================================
// Plugin MULTIVIEWER pour SPIP v2.0
//
// fichier : modules/MVW_DEFINITION_autoviewer.php version 1.0.1
//
// Auteur : Ch.Boutin
//===================================


// pour le viewer Flash Autoviewer de Felix Turner.
// site : www.airtightinteractive.com
// lien : http://www.airtightinteractive.com/viewers/




function MVW_DEFINITION_autoviewer()
{

//======== XML ========
    //-- frameColor
    //Color of image frame (hexidecimal color value e.g '0xff00ff').
    // Valeur par dfaut : 0xFFFFFF
    $autoviewer["frameColor"] = array (
                                  "VALEUR" => "0xFFFFFF"
                                  , "TYPE" => "XML" 
                              , "remarque" => "Color of image frame (hexidecimal color value e.g '0xff00ff')."
                                );
    //-- frameWidth
    //Width of image frame in pixels.
    // Valeur par dfaut : 10
    $autoviewer["frameWidth"] = array (
                                  "VALEUR" => "10" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Width of image frame in pixels."
                                );
    //-- imagePadding
    //Distance between images in pixels.
    // Valeur par dfaut : 20
    $autoviewer["imagePadding"] = array (
                                  "VALEUR" => "20" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Distance between images in pixels."
                                );
    //-- displayTime
    //Number of seconds each image will display in auto-play mode.
    // Valeur par dfaut : 6
    $autoviewer["displayTime"] = array (
                                  "VALEUR" => "6" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Number of seconds each image will display in auto-play mode."
                                );
    //-- enableRightClickOpen
    //Whether to display the 'Open Image in New Window...' right-click menu option.
    // Valeur par dfaut : true
    $autoviewer["enableRightClickOpen"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Whether to display the 'Open Image in New Window...' right-click menu option."
                                );

//======== JS ========
    //-- xmlURL
    //Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf.
    // Valeur par dfaut : gallery.xml
    $autoviewer["xmlURL"] = array (
                                  "VALEUR" => "gallery.xml"
                                  , "TYPE" => "JS"
                              , "remarque" => "Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf."
                                );
    //-- langOpenImage
    //The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate AutoViewer into a non-English language.
    // Valeur par dfaut : Open Image in New Window
    $autoviewer["langOpenImage"] = array (
                                  "VALEUR" => "Open Image in New Window"
                                  , "TYPE" => "JS"
                              , "remarque" => "The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate AutoViewer into a non-English language."
                                );
    //-- langAbout
    //The text displayed for the right-click 'About' menu option. Can be used to translate AutoViewer into a non-English language.
    // Valeur par dfaut : About
    $autoviewer["langAbout"] = array (
                                  "VALEUR" => "About" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "The text displayed for the right-click 'About' menu option. Can be used to translate AutoViewer into a non-English language."
                                );
/*
//======== PRO ========
    //-- playAtStart
    //Defines whether to automatically start playing.
    // Valeur par dfaut : false
    $autoviewer["playAtStart"] = array (
                                  "VALEUR" => "false"
                                  , "TYPE" => "PRO"
                              , "remarque" => "Defines whether to automatically start playing."
                                );
    //-- loopAutoplay
    //Defines whether to loop to first image after showing last image
    // Valeur par dfaut : true
    $autoviewer["loopAutoplay"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "PRO"
                              , "remarque" => "Defines whether to loop to first image after showing last image"
                                );
    //-- enableImageDownScaling
    //Defines whether images are resized smaller to fit stage
    // Valeur par dfaut : true
    $autoviewer["enableImageDownScaling"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Defines whether images are resized smaller to fit stage"
                                );
    //-- enableImageUpScaling
    //Defines whether images are resized larger to fit stage
    // Valeur par dfaut : false
    $autoviewer["enableImageUpScaling"] = array (
                                  "VALEUR" => "false" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Defines whether images are resized larger to fit stage"
                                );
    //-- leftAlignImages
    //Defines whether to left align the first image Defines whether to preload all the images automatically (true), or to load images only when they are viewed (false) Brightness applied to unselected images (-255 = black, 255 = white)
    // Valeur par dfaut : false
    $autoviewer["leftAlignImages"] = array (
                                  "VALEUR" => "false" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Defines whether to left align the first image Defines whether to preload all the images automatically (true), or to load images only when they are viewed (false) Brightness applied to unselected images (-255 = black, 255 = white)"
                                );
    //-- initialBrightness
    //Brightness applied to first image when loaded (-255 = black, 255 = white)
    // Valeur par dfaut : -255
    $autoviewer["initialBrightness"] = array (
                                  "VALEUR" => "-255" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Brightness applied to first image when loaded (-255 = black, 255 = white)"
                                );
    //-- useSmoothing
    //Whether to smooth resized images. Setting this to true improves image quality but uses more CPU resources. If you have a large gallery that is running slowly, setting this to false may help. Defines whether to enable the Play Button; Defines whether to enable the Next/Back Buttons; Defines whether to hide buttons on mouse roll out; Horizontal padding between next/back buttons and stage edge in pixels
    // Valeur par dfaut : true
    $autoviewer["useSmoothing"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Whether to smooth resized images. Setting this to true improves image quality but uses more CPU resources. If you have a large gallery that is running slowly, setting this to false may help. Defines whether to enable the Play Button; Defines whether to enable the Next/Back Buttons; Defines whether to hide buttons on mouse roll out; Horizontal padding between next/back buttons and stage edge in pixels"
                                );
    //-- controlsVPadding
    //Vertical padding between play button and stage bottom in pixels
    // Valeur par dfaut : 10
    $autoviewer["controlsVPadding"] = array (
                                  "VALEUR" => "10" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Vertical padding between play button and stage bottom in pixels"
                                );
    //-- showCaptions
    //Defines whether to show Image Captions
    // Valeur par dfaut : true
    $autoviewer["showCaptions"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Defines whether to show Image Captions"
                                );
    //-- showImageNumbers
    //Defines whether to show Image Numbers
    // Valeur par dfaut : true
    $autoviewer["showImageNumbers"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Defines whether to show Image Numbers"
                                );
    //-- imageNumberFontSize
    //Font size of image number text
    // Valeur par dfaut : 20
    $autoviewer["imageNumberFontSize"] = array (
                                  "VALEUR" => "20" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Font size of image number text"
                                );
    //-- imageNumberColor
    //Image Number Hex color value
    // Valeur par dfaut : #FFFFFF
    $autoviewer["imageNumberColor"] = array (
                                  "VALEUR" => "#FFFFFF" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Image Number Hex color value"
                                );
    //-- captionPadding
    //Padding between captions and image edge in pixels
    // Valeur par dfaut : 20
    $autoviewer["captionPadding"] = array (
                                  "VALEUR" => "20" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Padding between captions and image edge in pixels"
                                );
    //-- XMLPath
    //Relative or absolute path to XML file. This value is overriden by 'xmlURL' in HTML option).
    // Valeur par dfaut : gallery.XML
    $autoviewer["XMLPath"] = array (
                                  "VALEUR" => "gallery.XML" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Relative or absolute path to XML file. This value is overriden by 'xmlURL' in HTML option)."
                                );
    //-- slideAnimationLength
    //Tween length in frames
    // Valeur par dfaut : 20
    $autoviewer["slideAnimationLength"] = array (
                                  "VALEUR" => "20" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Tween length in frames"
                                );
    //-- colorFadeAnimationLength
    //Tween length in frames
    // Valeur par dfaut : 30
    $autoviewer["colorFadeAnimationLength"] = array (
                                  "VALEUR" => "30" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Tween length in frames"
                              );
*/

    return $autoviewer;
}


?>
