<?php


//===================================
// Plugin MULTIVIEWER pour SPIP v2.0
//
// fichier : modules/MVW_DEFINITION_tiltviewer.php version 1.0.1
//
// Auteur : Ch.Boutin
//===================================


// pour le viewer Flash TiltViewer de Felix Turner.
// site : www.airtightinteractive.com
// lien : http://www.airtightinteractive.com/viewers/



function MVW_DEFINITION_tiltviewer()
{

//======== JS ========
    //-- useFlickr
    //Whether to use Flickr or a local XML file as the source of the images and text.
    // Valeur par dfaut : true
    $tiltviewer["useFlickr"] = array (
                                  "VALEUR" => "false"
                                  , "TYPE" => "JS"
                              , "remarque" => "Whether to use Flickr or a local XML file as the source of the images and text."
                                );
    //-- useReloadButton
    //Whether to use the circular reload button under the images, or to use next/back arrow buttons for gallery paging.
    // Valeur par dfaut : true
    $tiltviewer["useReloadButton"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "JS" 
                              , "remarque" => "Whether to use the circular reload button under the images, or to use next/back arrow buttons for gallery paging."
                                );
    //-- showFlipButton
    //Whether to display the 'flip' button at the bottom-right of a zoomed in image. Affects all images.
    // Valeur par dfaut : true
    $tiltviewer["showFlipButton"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Whether to display the 'flip' button at the bottom-right of a zoomed in image. Affects all images."
                                );
    //-- showLinkButton
    //Whether to display the 'go to Flickr page' button on the image flipside. Affects all images.
    // Valeur par dfaut : true
    $tiltviewer["showLinkButton"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Whether to display the 'go to Flickr page' button on the image flipside. Affects all images."
                                );
    //-- columns
    //Number of columns of images to display.
    // Valeur par dfaut : 5
    $tiltviewer["columns"] = array (
                                  "VALEUR" => "3"
                                  , "TYPE" => "JS" 
                              , "remarque" => "Number of columns of images to display."
                                );
    //-- rows
    //Number of rows of images to display.
    // Valeur par dfaut : 5
    $tiltviewer["rows"] = array (
                                  "VALEUR" => "3" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Number of rows of images to display."
                                );
    //-- linkLabel
    //Text to display as the flipside link button label.
    // Valeur par dfaut : go to Flickr page
    $tiltviewer["linkLabel"] = array (
                                  "VALEUR" => "go to Flickr page" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Text to display as the flipside link button label."
                                );
    //-- frameColor
    //Hexadecimal color value of the image frame.
    // Valeur par dfaut : 0xFFFFFF
    $tiltviewer["frameColor"] = array (
                                  "VALEUR" => "0xFFFFFF" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Hexadecimal color value of the image frame."
                                );
    //-- backColor
    //Hexadecimal color value of the flipside background.
    // Valeur par dfaut : 0xFFFF00
    $tiltviewer["backColor"] = array (
                                  "VALEUR" => "0xFFFF00" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Hexadecimal color value of the flipside background."
                                );
    //-- bkgndInnerColor
    //Hexadecimal color value of the stage background gradient center.
    // Valeur par dfaut : 0x333333
    $tiltviewer["bkgndInnerColor"] = array (
                                  "VALEUR" => "0x333333" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Hexadecimal color value of the stage background gradient center."
                                );
    //-- bkgndOuterColor
    //Hexadecimal color value of the stage background gradient edge.
    // Valeur par dfaut : 0x000000
    $tiltviewer["bkgndOuterColor"] = array (
                                  "VALEUR" => "0x000000" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Hexadecimal color value of the stage background gradient edge."
                                );
    //-- langGoFull
    //The text displayed for the right-click 'Go Fullscreen' menu option. Can be used to translate TiltViewer into a non-English language.
    // Valeur par dfaut : Go Fullscreen
    $tiltviewer["langGoFull"] = array (
                                  "VALEUR" => "Go Fullscreen" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "The text displayed for the right-click 'Go Fullscreen' menu option. Can be used to translate TiltViewer into a non-English language."
                                );
    //-- langExitFull
    //The text displayed for the right-click 'Exit Fullscreen' menu option. Can be used to translate TiltViewer into a non-English language.
    // Valeur par dfaut : Exit Fullscreen
    $tiltviewer["langExitFull"] = array (
                                  "VALEUR" => "Exit Fullscreen" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "The text displayed for the right-click 'Exit Fullscreen' menu option. Can be used to translate TiltViewer into a non-English language."
                                );
    //-- langAbout
    //The text displayed for the right-click 'About' menu option. Can be used to translate TiltViewer into a non-English language.
    // Valeur par dfaut : About
    $tiltviewer["langAbout"] = array (
                                  "VALEUR" => "About" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "The text displayed for the right-click 'About' menu option. Can be used to translate TiltViewer into a non-English language."
                                );
    //-- user_id
    //The Flickr user id of the photos to display. If this parameter isn't passed then everybody's public photos will be searched.
    // Valeur par dfaut : 48508968@N00
    $tiltviewer["user_id"] = array (
                                  "VALEUR" => "48508968@N00" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "The Flickr user id of the photos to display. If this parameter isn't passed then everybody's public photos will be searched."
                                );
    //-- tags
    //A comma-delimited list of tags. Photos with one or more of the tags listed will be returned.
    // Valeur par dfaut : jump,smile
    $tiltviewer["tags"] = array (
                                  "VALEUR" => "jump,smile" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "A comma-delimited list of tags. Photos with one or more of the tags listed will be returned."
                                );
    //-- tag_mode
    //Defines how multiple tags are combined for image search. Defaults to 'any' if not specified. Can be:
    // Valeur par dfaut : any
    $tiltviewer["tag_mode"] = array (
                                  "VALEUR" => "any" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Defines how multiple tags are combined for image search. Defaults to 'any' if not specified. Can be:"
                                );
    //-- showTakenByText
    //Whether to display the 'taken by X on Y' text on the image flipside.
    // Valeur par dfaut : true
    $tiltviewer["showTakenByText"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "JS" 
                              , "remarque" => "Whether to display the 'taken by X on Y' text on the image flipside."
                                );

//======== XML ========
    //-- xmlURL
    //Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf. Only used if useFlickr is set to 'false'.
    // Valeur par dfaut : gallery.xml
    $tiltviewer["xmlURL"] = array (
                                  "VALEUR" => "gallery.xml" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf. Only used if useFlickr is set to 'false'."
                                );
    //-- maxJPGSize
    //Set this value to the largest dimension (width or height) of your largest image. TiltViewer uses this value to proportionately scale your images to fit.
    // Valeur par dfaut : 500
    $tiltviewer["maxJPGSize"] = array (
                                  "VALEUR" => "500" 
                                  , "TYPE" => "XML" 
                              , "remarque" => "Set this value to the largest dimension (width or height) of your largest image. TiltViewer uses this value to proportionately scale your images to fit."
                                );

/*
//======== PRO ========
    //-- Option Name
    //Description
    // Valeur par dfaut : Default Value 
    $tiltviewer["Option Name"] = array (
                                  "VALEUR" => "Default Value " 
                                  , "TYPE" => "PRO"
                              , "remarque" => "Description"
                                );
    //-- bkgndTransparent
    //Whether to hide the radial gradient background behind the image grid. Set this to true when you want to show something behind TiltViewer either in the HTML doc or in the embedding SWF.
    // Valeur par dfaut : false
    $tiltviewer["bkgndTransparent"] = array (
                                  "VALEUR" => "false" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Whether to hide the radial gradient background behind the image grid. Set this to true when you want to show something behind TiltViewer either in the HTML doc or in the embedding SWF."
                                );
    //-- showFullscreenOption
    //Whether to show the 'Go Fullscreen' right-click menu option.
    // Valeur par dfaut : true
    $tiltviewer["showFullscreenOption"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "PRO"
                              , "remarque" => "Whether to show the 'Go Fullscreen' right-click menu option."
                                );
    //-- frameWidth
    //Width of the image frames. To remove frames completely set this to -5.
    // Valeur par dfaut : 40
    $tiltviewer["frameWidth"] = array (
                                  "VALEUR" => "40" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Width of the image frames. To remove frames completely set this to -5."
                                );
    //-- zoomedInDistance
    //Camera distance from image when zoomed in to an image. Increasing this value makes the image smaller.
    // Valeur par dfaut : 1400
    $tiltviewer["zoomedInDistance"] = array (
                                  "VALEUR" => "1400" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Camera distance from image when zoomed in to an image. Increasing this value makes the image smaller."
                                );
    //-- zoomedOutDistance
    //Camera distance from image-grid when zoomed out. Increasing this value makes the image-grid smaller.
    // Valeur par dfaut : 7500
    $tiltviewer["zoomedOutDistance"] = array (
                                  "VALEUR" => "7500" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Camera distance from image-grid when zoomed out. Increasing this value makes the image-grid smaller."
                                );
    //-- fontName
    //Font style used by the flipside text. Note: this font is not embedded in the swf, so the user must have the specified font on their machine to view the font. If they don't have the specified font, they will see the default system font (usually 'sans')
    // Valeur par dfaut : Arial
    $tiltviewer["fontName"] = array (
                                  "VALEUR" => "Arial" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Font style used by the flipside text. Note: this font is not embedded in the swf, so the user must have the specified font on their machine to view the font. If they don't have the specified font, they will see the default system font (usually 'sans')"
                                );
    //-- titleFontSize
    //Font size of flipside title text.
    // Valeur par dfaut : 90
    $tiltviewer["titleFontSize"] = array (
                                  "VALEUR" => "90" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Font size of flipside title text."
                                );
    //-- descriptionFontSize
    //Font size of flipside description text.
    // Valeur par dfaut : 32
    $tiltviewer["descriptionFontSize"] = array (
                                  "VALEUR" => "32" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Font size of flipside description text."
                                );
    //-- linkFontSize
    //Font size of flipside link text.
    // Valeur par dfaut : 41
    $tiltviewer["linkFontSize"] = array (
                                  "VALEUR" => "41" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Font size of flipside link text."
                                );
    //-- linkTarget
    //The browser window or HTML frame in which to open links. You can enter the name of a specific window or use one of the following values:
    _self specifies the current frame in the current window; _blank specifies a new window; _parent specifies the parent of the current frame;_top specifies the top-level frame in the current window
    // Valeur par dfaut : _blank
    $tiltviewer["linkTarget"] = array (
                                  "VALEUR" => "_blank" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "The browser window or HTML frame in which to open links. You can enter the name of a specific window or use one of the following values:
    _self specifies the current frame in the current window; _blank specifies a new window; _parent specifies the parent of the current frame;_top specifies the top-level frame in the current window"
                                );
    //-- navButtonColor
    //Hexadecimal color of the reload or next/back buttons. Default color is white.
    // Valeur par dfaut : 0xFFFFFF
    $tiltviewer["navButtonColor"] = array (
                                  "VALEUR" => "0xFFFFFF" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Hexadecimal color of the reload or next/back buttons. Default color is white."
                                );
    //-- flipButtonColor
    //Hexadecimal color of the flip buttons. Default color is white.
    // Valeur par dfaut : 0xFFFFFF
    $tiltviewer["flipButtonColor"] = array (
                                  "VALEUR" => "0xFFFFFF" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Hexadecimal color of the flip buttons. Default color is white."
                                );
    //-- textColor
    //Hexadecimal color value of the flipside text.
    // Valeur par dfaut : 0x000000
    $tiltviewer["textColor"] = array (
                                  "VALEUR" => "0x000000" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Hexadecimal color value of the flipside text."
                                );
    //-- linkTextColor
    //Hexadecimal color value of the flipside link text.
    // Valeur par dfaut : 0xFFFFFF
    $tiltviewer["linkTextColor"] = array (
                                  "VALEUR" => "0xFFFFFF"
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Hexadecimal color value of the flipside link text."
                                );
    //-- linkBkgndColor
    //Hexadecimal color value of the flipside link text background.
    // Valeur par dfaut : 0x000000
    $tiltviewer["linkBkgndColor"] = array (
                                  "VALEUR" => "0x000000" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Hexadecimal color value of the flipside link text background."
                                );
    //-- enableSounds
    //Whether to play click sounds.
    // Valeur par dfaut : true
    $tiltviewer["enableSounds"] = array (
                                  "VALEUR" => "true" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Whether to play click sounds."
                                );
    //-- tiltAmountIn
    //Maximum amount to tilt the image grid when zoomed in (degrees)
    // Valeur par dfaut : 75
    $tiltviewer["tiltAmountIn"] = array (
                                  "VALEUR" => "75" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Maximum amount to tilt the image grid when zoomed in (degrees)"
                                );
    //-- tiltAmountOut
    //Maximum amount to tilt the image grid when zoomed out (degrees)
    // Valeur par dfaut : 120
    $tiltviewer["tiltAmountOut"] = array (
                                  "VALEUR" => "120" 
                                  , "TYPE" => "PRO" 
                              , "remarque" => "Maximum amount to tilt the image grid when zoomed out (degrees)"
                                );

*/
    return $tiltviewer;
}


?>
