<?php

//===================================
// Plugin MULTIVIEWER pour SPIP v2.0
//
// fichier : modules/addon_autoviewer.php version 1.0
//
// Auteur : Ch.Boutin
//===================================


// pour le viewer Flash Autoviewer de Felix Turner.
// site : www.airtightinteractive.com
// lien : http://www.airtightinteractive.com/viewers/


function MVW_XML_autoviewer($idgalerie, $tabDocument, $tabViewerParam)
{
    // Config par rapport au viewer postcardviewer
    $XMLentete        = '<?xml version="1.0" encoding="UTF-8" ?>'."\n";
    $XMLbalisegalerie = "gallery";
    $XMLbaliseimage   = "image";
    $XMLfilename      = "url";
    $XMLcaption       = "caption";

    $XMLoptions = "";
    foreach($tabViewerParam["VARIABLES"] as $strNomVariable=>$tabValeur)
    {
        if ($tabValeur["TYPE"]=="XML")
        {
            $XMLoptions .= '    '.$strNomVariable.'="'.$tabValeur["VALEUR"].'" '."\n";
        }
    }

    $XMLcode  = $XMLentete;
    $XMLcode .= '<'.$XMLbalisegalerie." \n"
                   .$XMLoptions.">\n";

    foreach ( $tabDocument as $document)
    {
        //ouverture nouvelle balise image
        $XMLcode .= "<".$XMLbaliseimage.">\n";
        // balise XML URL du fichier image
        $XMLcode .= "<".$XMLfilename.">"
                     ._NOM_PERMANENTS_ACCESSIBLES.$document['fichier']
                     ."</".$XMLfilename.">\n";
        //echo "<br/>XML : j'ajoute ".$document['fichier']."<br/>";

        // commentaire
        $txtcaption = $param["TEXTEAVANTTITREPHOTO"];
        $txtcaption .=($document['titre']<>"")?$document['titre']:MVW_getFileName($document['fichier']);
        $txtcaption .=($document['descriptif'] <> "")?" (".$document['descriptif'].")":"";

        // Code initial
        // $xml .= "<caption><![CDATA[<u><a href='".$descriptif."' target='_blank'>".$titre."</a></u>]]></caption>\n";
        // balise XML Commentaire
        $XMLcode .= "<".$XMLcaption.">".$txtcaption."</".$XMLcaption.">\n";

        // AJOUTER
        $XMLcode .= "<width>".$document['largeur']."</width>";
        $XMLcode .= "<height>".$document['hauteur']."</height>";
        // $XMLcode .= "<width></width>";
        // $XMLcode .= "<height>200</height>";

        //fermeture balise image
        $XMLcode .= "</".$XMLbaliseimage.">\n";
    }
    // fermeture balsie galerie
    $XMLcode .= '</'.$XMLbalisegalerie.'>';

    return $XMLcode;
} //MVW_XML_postcard




// On prpare le code HTML...
function MVW_HTML_autoviewer($id_galerie,$tabViewerParam,$strViewer)
{
    $SWFnomvarxmlURL  = "xmlURL";

    $txtreturn = '<script type="text/javascript">'."\n"
                .'    var fo'.$id_galerie.' = new SWFObject('
                        // nom fichier SWF
                        .'"'._DIR_PLUGIN_MULTIVIEWER.'/modules/'.$strViewer.'"'
                        // Nom JS de l'objet SWF (id et name)
                        .', "viewer'.$id_galerie.'"'
                    // Taille de l'objet SWF
                        .', "'.$tabViewerParam["fenlargeur"].'"'
                        .', "'.$tabViewerParam["fenhauteur"].'"'
                        //  la version de player Flash requise pour votre swf
                        .', "'.CST_MULTIVIEWER_SWF_VERSION_FLASH_MINI.'"'
                        //  La couleur de fond de votre swf
                        .', "'.CST_MULTIVIEWER_SWF_BGCOLOR.'");'."\n";

    $tabViewerParam["VARIABLES"][$SWFnomvarxmlURL]["VALEUR"] =  _DIR_PLUGIN_MULTIVIEWER."xml/gallery_".$id_galerie.".xml";

    foreach($tabViewerParam["VARIABLES"] as $strNomVariable=>$tabValeur)
    {
        if ($tabValeur["TYPE"]=="JS")
        {
            $txtreturn .= '    fo'.$id_galerie.'.addVariable("'.$strNomVariable.'", "'.$tabValeur["VALEUR"].'");'."\n";
        }
    }

    $txtreturn .= '    fo'.$id_galerie.'.write("flashcontent'.$id_galerie.'");'."\n"
                 .'</script>'."\n";

    return $txtreturn;
} //MVW_HTML_postcard




?>
