<?php


//===================================
// Plugin MULTIVIEWER pour SPIP v2.0
//
// fichier : modules/addon_tiltviewer.php version 1.0
//
// Auteur : Ch.Boutin
//===================================


// pour le viewer Flash Tiltviwer de Felix Turner.
// site : www.airtightinteractive.com
// lien : http://www.airtightinteractive.com/viewers/


function MVW_XML_tiltviewer($idgalerie, $tabDocument, $tabViewerParam)
{

    // Config par rapport au viewer postcardviewer
    $XMLentete         = "";
    $XMLbalisegalerie  = "tiltviewergallery";
    $XMLbalisegalerie2 = "photos";
    $XMLbaliseimage    = "photo";
    $XMLtitre          = "title";
    $XMLfilename       = "imageurl";
    $XMLcaption        = "description";

    $XMLoptions = "";
    foreach($tabViewerParam["VARIABLES"] as $strNomVariable=>$tabValeur)
    {
        if ($tabValeur["TYPE"]=="XML")
        {
            $XMLoptions .= '    '.$strNomVariable.'="'.$tabValeur["VALEUR"].'" '."\n";
        }
    }

    $XMLcode  = $XMLentete;
    $XMLcode .= "<$XMLbalisegalerie \n"
                   ." $XMLoptions >\n";
    $XMLcode .= "<$XMLbalisegalerie2>\n";
    foreach ( $tabDocument as $document)
    {
        //ouverture nouvelle balise image
        $XMLcode .= "<$XMLbaliseimage $XMLfilename=".'"'
                     ._NOM_PERMANENTS_ACCESSIBLES.$document['fichier'].'">'."\n";

        $XMLcode .="<$XMLtitre>"
                  .(($document['titre']<>"")?$document['titre']:MVW_getFileName($document['fichier']))
                  ."</$XMLtitre>";
        $XMLcode .="<$XMLcaption>"
                  .(($document['descriptif'] <> "")?" (".$document['descriptif'].")":"")
                  ."</$XMLcaption>";
        //fermeture balise image
        $XMLcode .= "</".$XMLbaliseimage.">\n";
    }
    // fermeture balsie galerie
    $XMLcode .= '</'.$XMLbalisegalerie2.'>';
    $XMLcode .= '</'.$XMLbalisegalerie.'>';

    return $XMLcode;
} //MVW_XML_postcard




// On prpare le code HTML...
function MVW_HTML_tiltviewer($id_galerie,$tabViewerParam,$strViewer)
{

    $SWFnomvarxmlURL  = "xmlURL";

    $txtreturn = '<script type="text/javascript">'."\n"
                .'    var fo'.$id_galerie.' = new SWFObject('
                        // nom fichier SWF
                        .'"'._DIR_PLUGIN_MULTIVIEWER.'/modules/'.$strViewer.'"'
                        // Nom JS de l'objet SWF (id et name)
                        .', "viewer'.$id_galerie.'"'
                    // Taille de l'objet SWF
                        .', "'.$tabViewerParam["fenlargeur"].'"'
                        .', "'.$tabViewerParam["fenhauteur"].'"'
                        //  la version de player Flash requise pour votre swf
                        .', "'.CST_MULTIVIEWER_SWF_VERSION_FLASH_MINI.'"'
                        //  La couleur de fond de votre swf
                        .', "'.CST_MULTIVIEWER_SWF_BGCOLOR.'");'."\n";

    $txtreturn .= '    fo'.$id_galerie.'.addVariable("'.$SWFnomvarxmlURL.'", "'._DIR_PLUGIN_MULTIVIEWER
                                     .'xml/gallery_'.$id_galerie.'.xml");'."\n";

    $tabViewerParam["VARIABLES"][$SWFnomvarxmlURL]["VALEUR"] =  _DIR_PLUGIN_MULTIVIEWER."xml/gallery_".$id_galerie.".xml";

    foreach($tabViewerParam["VARIABLES"] as $strNomVariable=>$tabValeur)
    {
        if ($tabValeur["TYPE"]=="JS")
        {
            $txtreturn .= '    fo'.$id_galerie.'.addVariable("'.$strNomVariable.'", "'.$tabValeur["VALEUR"].'");'."\n";
        }
    }

    $txtreturn .= '    fo'.$id_galerie.'.write("flashcontent'.$id_galerie.'");'."\n"
                 .'</script>'."\n";

    return $txtreturn;
} //MVW_HTML_postcard


?>
